Package org.lwjgl.openal

# Class OpenALException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.lwjgl.openal.OpenALException

All Implemented Interfaces:
  `Serializable`

public class OpenALException extends RuntimeException
Thrown by the debug build library of the LWJGL if any OpenAL operation causes an error.

Version:
  $Revision$ $Id$
Author:
  Brian Matzon invalid input: '<'brian@matzon.dk>
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OpenALException()`
Constructor for OpenALException.
`OpenALException(int error_code)`
Constructor that takes an AL error number
`OpenALException(String message)`
Constructor for OpenALException.
`OpenALException(String message, Throwable cause)`
Constructor for OpenALException.
`OpenALException(Throwable cause)`
Constructor for OpenALException.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OpenALException

public OpenALException()
Constructor for OpenALException.

### OpenALException

public OpenALException(int error_code)
Constructor that takes an AL error number

### OpenALException

public OpenALException(String message)
Constructor for OpenALException.

Parameters:
  `message` -

### OpenALException

public OpenALException(String message, Throwable cause)
Constructor for OpenALException.

Parameters:
  `message` -
  `cause` -

### OpenALException

public OpenALException(Throwable cause)
Constructor for OpenALException.

Parameters:
  `cause` -